<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetValidation Method (IEdmCardControl5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardControl5 Interface : GetValidation Method (IEdmCardControl5)

Visual Basic
C#
C++/CLI

poMin
  Minimum limit; minimum number of characters in a control of type, EdmVariableType.EdmVarType_Text

poMax
  Maximum limit for this control's value; maximum number of characters in a control of type, EdmVariableType.EdmVarType_Text

Gets the input validation criteria for this control.

# Syntax

Visual Basic |
--- | ---

    Function GetValidation( _
       ByRef poMin As System.Object, _
       ByRef poMax As System.Object _
    ) As EdmVariableType

C# |
--- | ---

    EdmVariableType GetValidation(
       out System.object poMin,
       out System.object poMax
    )

C++/CLI |
--- | ---

    EdmVariableType GetValidation(
    &   [Out] System.Object^ poMin,
    &   [Out] System.Object^ poMax
    )

#### Parameters

poMin
  Minimum limit; minimum number of characters in a control of type, EdmVariableType.EdmVarType_Text
poMax
  Maximum limit for this control's value; maximum number of characters in a control of type, EdmVariableType.EdmVarType_Text

#### Return Value

Data type to validate as defined in EdmVariableType

# Example

See the IEdmCardControl6 examples.

# Remarks

If a card control has input validation, the user is unable to click OK or Apply until all validation conditions are met.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardControl5 Interface
IEdmCardControl5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2